MT_NEW_THREAD_INFO(3)

FUNCTION
mt_new_thread_info - Register new thread information for the threads in a pool.

SYNOPSIS
#include <karma_mt.h>

void mt_new_thread_info

(KThreadPool pool, void *info, uaddr size)

DESCRIPTION
Register new thread information for the threads in a pool.

pool
    The thread pool.

info
    A pointer to the thread information array. If NULL and <<size>> is not 0 then the routine will allocate an array of sufficient size.

size
    The size (per thread) in bytes of the thread information. When threads are executing each is guaranteed to have a private working space of this size.

RETURN VALUE
Nothing. On failure the process aborts.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/